post upgrades validations fails if using a non default stack name

Bug #1806684 reported by Carlos Camacho on 2018-12-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Medium
Carlos Camacho

Bug Description

Description of problem:
-----------------------
post-upgrade validation fails when overcloud is deployed with name different than 'overcloud'.

openstack stack list
+--------------------------------------+------------+----------------------------------+-----------------+----------------------+--------------+
| ID | Stack Name | Project | Stack Status | Creation Time | Updated Time |
+--------------------------------------+------------+----------------------------------+-----------------+----------------------+--------------+
| 96a4edee-4e59-41c6-8b2c-d41345c33860 | qe-Cloud-0 | 1019dbb354c64921b7a0c249dfa364e0 | CREATE_COMPLETE | 2018-05-15T15:30:28Z | None |
+--------------------------------------+------------+----------------------------------+-----------------+----------------------+--------------+

From uc upgrade log:
--------------------
2018-05-16 02:09:37,460 INFO: Starting and waiting for validation groups ['post-upgrade']
2018-05-16 02:09:55,755 ERROR: ERROR error running the validation groups ['post-upgrade'] {"stderr": "[DEPRECATION WARNING]: DEFAULT_SUDO_FLAGS option, In favor of become which is a\n generic framework . This feature will be removed in version 2.8. Deprecation \nwarnings can be disabled by setting deprecation_warnings=False in ansible.cfg.\n/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:344: SubjectAltNameWarning: Certificate for 192.168.24.2 has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)\n SubjectAltNameWarning\n", "stdout": "Task 'Check stack resource statuses' failed:\nHost: localhost\nMessage: An unhandled exception occurred while running the lookup plugin 'stack_resources'. Error was a <class 'heatclient.exc.HTTPNotFound'>, original message: ERROR: The Stack (overcloud) could not be found.\n\nFailure! The validation failed for all hosts:\n* localhost\n"} {"stderr": "[DEPRECATION WARNING]: DEFAULT_SUDO_FLAGS option, In favor of become which is a\n generic framework . This feature will be removed in version 2.8. Deprecation \nwarnings can be disabled by setting deprecation_warnings=False in ansible.cfg.\n", "stdout": "Task 'Fail if the HorizonPublic endpoint is not defined' failed:\nHost: localhost\nMessage: The `HorizonPublic` endpoint is not defined in the `EndpointMap` of the deployed stack. This means Horizon may not have been deployed correctly.\n\nFailure! The validation failed for all hosts:\n* localhost\n"} Mistral execution ID: cb077f7f-fb1e-4cbf-a06a-c822a509993f
2018-05-16 02:09:55,758 INFO:
#############################################################################
Undercloud upgrade complete.

The file containing this installation's passwords is at
/home/stack/undercloud-passwords.conf.

There is also a stackrc file at /home/stack/stackrc.

These files are needed to interact with the OpenStack services, and should be
secured.

#############################################################################

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-tripleo-validations-8.4.1-5.el7ost.noarch

Steps to Reproduce:
-------------------
1. Deploy tripleo with custom overcloud name
2. Setup tripleo repos on uc
3. Upgrade UC

Actual results:
---------------
Validation in post-upgrade group fails

Expected results:
-----------------
Validation in post-upgrade group succeeds

Additional info:
----------------
Virtual env: 3controller + 3messaging + 3database + 3ceph + 2compute + 2networker

Carlos Camacho (ccamacho) wrote :
Changed in tripleo:
status: Triaged → In Progress
importance: Undecided → Medium

Reviewed: https://review.openstack.org/619112
Committed: https://git.openstack.org/cgit/openstack/instack-undercloud/commit/?id=227ce3fc90e5b07d7902ee6299e65b2c2ba9cf9b
Submitter: Zuul
Branch: stable/rocky

commit 227ce3fc90e5b07d7902ee6299e65b2c2ba9cf9b
Author: Carlos Camacho <email address hidden>
Date: Wed Nov 21 00:05:14 2018 +0100

    Get the stack name if possible before running the validations group

    If we run the group validations in the Undercloud and we
    do not specify the stack name, this will fail if the
    Overcloud stack is not called 'overcloud'.

    In this case we try to fetch the stack name and we compare it
    with the swift containers to match the deployment plan name
    if there is a match, then we know the stack name.

    Change-Id: Ib2e27b1b43f573385c089e57bd2290daac49d814
    Closes-Bug: 1806684
    Resolves: rhbz#1573120

tags: added: in-stable-rocky
Changed in tripleo:
status: In Progress → Fix Released

This issue was fixed in the openstack/instack-undercloud 9.5.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers